Kerbal Space Program - Feedback #3569

Eva Camera in Gilly Orbit
11/25/2014 10:08 PM - Stevemata

Status: Needs Clarification

Severity: Normal

Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Description

While orbiting Gilly during EVA, adjustments with the RCS can cause the Kerbal to switch influence between Gilly and Eve, and back
and forth, each time causing the camera to reorient. Each time the Kerbal must reorient himself, wasting rcs fuel. This makes Kerbal
to Craft orbital rendezvous practically impossible.

Related issues:

Related to Kerbal Space Program - Feedback #3389: Oribtal camera on kerbals o... Needs Clarificatid@5/2014
Related to Kerbal Space Program - Feedback #3350: Topdown Camera Bug while la... Needs Clarification
Related to Kerbal Space Program - Bug #283: Camera views restricted when at n... Closed 02/26/2013
Related to Kerbal Space Program - Feedback #3568: Ship Vanished in Orbit Arou... Needs Clarificatib@5/2014
Related to Kerbal Space Program - Feedback #1618: Ship destroyed while switc... Duplicate 10/23/2013
History

#1 - 11/26/2014 10:26 AM - Squelch
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

You are witnessing normal (auto) camera behaviour. v
camera mode can be controlled using "C" so anything other than “Auto should prowde a stable view.

[Edit]
Revised SOI conjecture to proximity of vessel to reference object, and irregular shape of Gilly.

#2 - 11/26/2014 10:55 AM - Stevemata
Squelch wrote:

You are witnessing normal (auto) camera behaviour. Due to the low gravity on Gilly, the SOI can flip easily, and therefore affecting the camera.
The camera mode can be controlled using "C" so anything other than "Auto" should provide a stable view.

"C" seems to have no effect on the EVA camera.
In my stream recording you can view my camera's instability.
http://www.twitch.tv/stevemata/b/592816233 58 minutes or so.

#3 - 11/26/2014 01:38 PM - Squelch

- Tracker changed from Bug to Feedback

- Status changed from Not a Bug to Need More Info
- % Done changed from 100 to 0

After further investigation, it would appear that the camera instability is related to the proximity of the reference body. see related issues.

#4 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification
